document.getElementById('decisionForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const trust = parseInt(document.getElementById('trust').value);
  const communication = parseInt(document.getElementById('communication').value);
  const distance = parseInt(document.getElementById('distance').value);
  const investment = parseInt(document.getElementById('investment').value);
  
  const score = (trust * 0.4) + (communication * 0.3) + (investment * 0.3) - (distance * 0.01);
  
  const result = document.getElementById('result');
  const decisionText = document.getElementById('decisionText');
  
  if (score >= 7) {
    decisionText.textContent = "Stay and work on the relationship!";
    result.style.backgroundColor = '#ffcc66';
  } else {
    decisionText.textContent = "It might be time to leave...";
    result.style.backgroundColor = '#ff6666';
  }
  
  result.classList.remove('hidden');
});